Skip to content

Get payment status

Payments
POSThttps://api.dcdial.com/api/type=get_payment_status
Read onlyToken

Returns the status of a payment by invoice or transaction ID.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always get_payment_status for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • invoice_idstringrequired

    DCDial invoice ID.

    Example INV-88812
  • transaction_idstringrequired

    Gateway transaction ID.

    Example ch_3Q8x2e
  • company_idintegerrequired

    Your DCDial company ID.

    Example 101
Terminal window
curl https://api.dcdial.com/api/ \
-d type=get_payment_status \
-d token="$DCDIAL_TOKEN" \
-d invoice_id=INV-88812 \
-d transaction_id=ch_3Q8x2e \
-d company_id=101
Response · 200 OK
{
"response": {
"invoice_id": "xxxxx",
"transaction_id": "xxxxxxx",
"amount": "xx.xx",
"payment_time": "xxxxx-xx-xx xx:xx:xx",
"first_name": "aaa",
"last_name": "bbb",
"account_id": "xxxxxx",
"payment_error": "xxx",
"last4": "xxxx",
"payment_status": "succeeded",
"success": 1
}
}

Try it

Environment